org.apache.ignite.ml.xgboost

## Class XGModelComposition

- java.lang.Object
- - org.apache.ignite.ml.xgboost.XGModelComposition

- All Implemented Interfaces:
    Serializable, AutoCloseable, IgniteModel<NamedVector,Double>, Model<NamedVector,Double>

      public class XGModelComposition
      extends Object
      implements IgniteModel<NamedVector,Double>

  XGBoost model composition.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XGModelComposition(Map<String,Integer> dict, List<DecisionTreeNode> models)` Constructs a new instance of composition of models.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,Integer>` | `getDict()`
    `ModelsComposition` | `getModelsComposition()`
    `Double` | `predict(NamedVector input)` Make a prediction for the specified input arguments.
    `void` | `setModelsComposition(ModelsComposition modelsComposition)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.IgniteModel

      `andBefore, andThen, andThen, close, combine, toString`

- - ### Constructor Detail

    - #### XGModelComposition

          public XGModelComposition(Map<String,Integer> dict,
                                    List<DecisionTreeNode> models)

      Constructs a new instance of composition of models.
      Parameters:
        `models` - Basic models.

  - ### Method Detail

    - #### predict

          public Double predict(NamedVector input)

      Make a prediction for the specified input arguments.
      Specified by:
        `predict` in interface `Model<NamedVector,Double>`
      Parameters:
        `input` - Input arguments.
      Returns:
        Prediction result.

    - #### getDict

          public Map<String,Integer> getDict()

    - #### getModelsComposition

          public ModelsComposition getModelsComposition()

    - #### setModelsComposition

          public void setModelsComposition(ModelsComposition modelsComposition)

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023